Package com.xebialabs.xlrelease.domain.delivery.conditions

# Class ItemsCompletionCondition

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Condition
com.xebialabs.xlrelease.domain.delivery.conditions.ItemsCompletionCondition

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, description="Condition which completes when all tracked items preceding the transition are in a certain status.") public class ItemsCompletionCondition extends Condition

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemsCompletionCondition()`
  `ItemsCompletionCondition(List<String> statuses)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `List<String>`
  `getStatuses()`
  `boolean`
  `isIgnoreDescoped()`
  `void`
  `setIgnoreDescoped(boolean ignoreDescoped)`
  `void`
  `setStatuses(List<String> statuses)`
  `void`
  `validate(Delivery delivery)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.delivery.Condition

  `getAllConditions, getInputProperties, getLeafConditions, getSatisfiedDate, isActive, isLeaf, isSatisfied, markAsSatisfied, reset, setSatisfied, setSatisfiedDate, withId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ItemsCompletionCondition

    public ItemsCompletionCondition()

  - ### ItemsCompletionCondition

    public ItemsCompletionCondition(List<String> statuses)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `Condition`

  - ### validate

    public void validate(Delivery delivery)
    Overrides:
      `validate` in class `Condition`

  - ### getStatuses

    public List<String> getStatuses()

  - ### setStatuses

    public void setStatuses(List<String> statuses)

  - ### isIgnoreDescoped

    public boolean isIgnoreDescoped()

  - ### setIgnoreDescoped

    public void setIgnoreDescoped(boolean ignoreDescoped)